<?php
/*
===========================用户控制器
^^^^^^^^^^^^^^^^^^成员
------添加(on_insert)
------修改(on_update)
------删除(on_del)

*/
class cls_tab_hr_job_search extends cls_base_table
{
	private $tab_search;
	private $obj_db;
	//构造函数
	function __construct()
	{
		global $obj_db;
		parent::__construct();
		$this->obj_db=$obj_db;
		$this->tab_search=DB_PRE."hr_job_search";
	}
	/*添加
	arr_fields:关健字数组
	*/
	function on_save($arr_fields,$str_where="")
	{
		global $obj_ctl_user;
		$arr_return=array("err"=>"","id"=>0);
		$arr_search=array();
		(!isset($arr_fields["search_id"]))? $arr_fields["search_id"]=0:$arr_fields["search_id"]=intval($arr_fields["search_id"]);
		//格式化数据
		if(!isset($arr_fields["search_name"])||$arr_fields["search_name"]==""){
			$arr_return["err"]="搜索器名称不能为空！";
			return $arr_return;
		}
		//检查最大数量
		global $obj_tab_sys_config;
		if($obj_tab_sys_config->get_val("personal","max_job_search_num")!=""){
			$obj_rs   = $this->obj_db->get_one("SELECT count(*) as num FROM ".DB_PRE."hr_job_search where search_user_id='".$obj_ctl_user->id."'");
			$lng_searchnum=$obj_rs["num"];
			$lng_val=intval($obj_tab_sys_config->get_val("personal","max_job_search_num"));
			if($lng_val>0&&$lng_val<=$lng_searchnum){
				$arr_return["err"]="您的最多能添加".$lng_val."个搜索器,请删除以前没用的搜索器，或直接修改！";
			}else if($lng_val==0){
				$arr_return["err"]="系统关闭了个人添加搜索器的功能，请联系工作人员！";
			}//否则小于0不限数量
		}
		//保存操作
		$lng_id=$arr_fields["search_id"];
		unset($arr_fields["search_id"]);//释放id
		$arr_fields["search_updatetime"]=TIME;
		if($lng_id<1){
			$arr_fields["search_addtime"]=TIME;
			$arr_return=self::_insert($arr_fields);
		}else{
			$str_where="search_id='".$lng_id."'";
			$arr_return=self::_update($arr_fields,$str_where);
			$arr_return["id"]=$lng_id;
		}
		return $arr_return;
	}
	function _insert($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		if(defined("SYS_OPEN_FZ") && SYS_OPEN_FZ=="1"){
			global $obj_ctl_user;
			$arr_fields["search_fz_id"]=$obj_ctl_user->get_fz_id();
		}

		$arr_return=parent::on_insert($this->tab_search,$arr_fields);
		return $arr_return;
	}
	function _update($arr_fields,$msg_where)
	{
		$arr_return=array("err"=>"","id"=>0);
		$arr_return=parent::on_update($this->tab_search,$arr_fields,$msg_where);
		return $arr_return;
	}
	function on_del($arr_id)
	{
		$arr_return=array("err"=>"");
		$str_id=get_arr_id($arr_id);
		if($str_id==""){
			$arr_return["err"]="没有指定要删除的记录！";
			return $arr_return;
		}
		$arr_return=parent::on_del($this->tab_search,"search_id in(".$str_id.")");

		return $arr_return;
	}
}
?>
